homeassistant报404错误手动安装 frontend组件
  • 分类:LINUX
  • 发表:2019-03-15
  • 围观(2,523)
  • 评论(0)

昨天将HomeAssistant升级到最新的0.89.2版本之后,网页页面打不开,提示404错误,查看log日志发现有如下报错信息:

019-03-14 21:54:55 ERROR (SyncWorker_13) [homeassistant.util.package] Unable to install package home-assistant-frontend==20190305.1: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ProtocolError('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))': /packages/bc/99/d91230141eb6838f9daa18e04bcbc206a40c8c14bb2edde7f75ba264f4b5/home-assistant-frontend-20190305.1.tar.gz

主要报错信息是Unable to install package home-assistant-frontend==20190305.1,也就是无法安装版本为20190305.1的home-assistant-frontend组件,解决办法就是手动安装。

Putty登陆到你的Hass主机,然后依次运行以下命令:

sudo su -s /bin/bash homeassistant
source /srv/homeassistant/bin/activate
pip3 install  home-assistant-frontend==20191025.1
等到安装完之后之后
exit

目前最新的frontend版本为20191025.1 ,所以这里我们安装最新版。

最后重启homeassistant就可以了。

如果系统log中有其他缺失组件的报错,也可以用此方法来试着修复,但此方法只适用于基于命令安装的home-assistant,不适用于hassio等其他系统。

共有 0 条评论

Top